Billing
Create a Stripe Customer Portal session
Creates a Stripe Customer Portal session for managing the subscription (update payment method, cancel, view invoices).
Authorization
apiKey AuthorizationBearer <token>
API key from your nodestash dashboard. Pass as a Bearer token in the Authorization header.
In: header
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://api.nodestash.io/v1/billing/portal"{
"data": {
"portal_url": "http://example.com"
},
"meta": {
"request_id": "req_abc123def456"
}
}{
"error": {
"code": "string",
"message": "string",
"details": [
{
"field": "email",
"message": "Invalid email"
}
]
},
"meta": {
"request_id": "req_abc123def456"
}
}{
"error": {
"code": "INVALID_API_KEY",
"message": "Missing or invalid Authorization header"
},
"meta": {
"request_id": "req_abc123def456"
}
}{
"error": {
"code": "RATE_LIMITED",
"message": "Rate limit exceeded"
},
"meta": {
"request_id": "req_abc123def456"
}
}Create a Stripe Checkout session
Creates a Stripe Checkout session for upgrading the workspace subscription. Returns a checkout URL to redirect the user to.
Get current subscription details
Returns the current subscription details for the authenticated workspace, including plan, status, billing period, and resource usage.